Bug 489666 - ambient light sensor makes dellLcdBrightness emit wrong values
ambient light sensor makes dellLcdBrightness emit wrong values
Product: Fedora
Classification: Fedora
Component: libsmbios (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Michael E Brown
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-03-11 05:56 EDT by Nicolò Chieffo
Modified: 2010-02-26 07:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-02-26 07:33:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nicolò Chieffo 2009-03-11 05:56:26 EDT
Description of problem: I have a Latitude E6400, with an ambient light sensor. When it is enabled, the utility dellLcdBrightness emits values as if the A-L-S was disabled.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. enable the A-L-S (using fn-left_arrow)
2. run dellLcdBrightness to query for the current brightness
Actual results:
the values reported refers to a setup without an A-L-S. This means that if you want to change the brightness, the utility does nothing.
Expected results:

Additional info: 
The settings are applied but you won't notice them until you disable the A-L-S.
gnome-power-manager uses this utility to change the brightness, so it will not work (the brightness applet won't work either).
The most annoying thing is that if you change the brightness using the hardware keys (fn-up/down_arrows) gnome-power-manager reports the value using dellLcdBrightness, so you might think that the brightness is at maximum, while it's not
Comment 1 Matěj Cepl 2009-04-20 18:06:25 EDT
There is nothing to triage here.

Switching to ASSIGNED so that developers have responsibility to do whatever they want to do with it.
Comment 2 Bug Zapper 2009-06-09 08:08:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 3 Matěj Cepl 2009-11-05 13:22:50 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 4 Chris Campbell 2009-12-03 20:30:32 EST
Nicolo, is it still possible for you to test this bug with up-to-date packages, per Comment #3?

Fedora Bugzappers volunteer triage team
Comment 5 Matěj Cepl 2010-02-26 07:25:23 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 6 Nicolò Chieffo 2010-02-26 07:33:44 EST
Sorry, closed with INSUFFICIENT_DATA I don't have fedora installed now

Note You need to log in before you can comment on or make changes to this bug.